Bug 1298717 - Translation missing, when package already downloaded.
Translation missing, when package already downloaded.
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: dnf (Show other bugs)
25
Unspecified Unspecified
low Severity unspecified
: ---
: ---
Assigned To: rpm-software-management
Fedora Extras Quality Assurance
: i18n, Triaged, UserExperience
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-14 14:30 EST by Frank Büttner
Modified: 2017-04-12 10:53 EDT (History)
5 users (show)

See Also:
Fixed In Version: dnf-2.3.0-1.fc26
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-04-12 10:53:10 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
The full output of dnf. (38.91 KB, text/plain)
2016-01-14 14:30 EST, Frank Büttner
no flags Details

  None (edit)
Description Frank Büttner 2016-01-14 14:30:24 EST
Created attachment 1114942 [details]
The full output of dnf.

Description of problem:
When all packages already downloaded, then the message about this case are not translated.

Version-Release number of selected component (if applicable):
dnf-1.1.5-1.fc23.noarch

How reproducible:
every time

Steps to Reproduce:
1. start an update
2. cancel an download
3. restart the update

Actual results:
Gesamtgröße: 76 M
Ist dies in Ordnung? [j/N] :j
Pakete werden heruntergeladen:
[SKIPPED] kernel-core-4.3.3-300.fc23.x86_64.rpm: Already downloaded                                                                      
and many more lines of it.

Expected results:
Translated messages.
For example in German:
[Übersprungen] kernel-core-4.3.3-300.fc23.x86_64.rpm: Bereits geladen
Comment 1 Honza Silhan 2016-01-19 09:41:50 EST
The string is not mark in DNF code for translation.
Comment 2 Fedora Admin XMLRPC Client 2016-07-08 05:39:13 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 3 Fedora End Of Life 2016-11-24 09:57:12 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Frank Büttner 2016-11-24 10:35:15 EST
Same on F25
Comment 5 Jaroslav Mracek 2017-03-27 12:20:11 EDT
I created a pull request that should help: https://github.com/rpm-software-management/dnf/pull/771
Comment 6 Fedora Update System 2017-04-10 04:01:58 EDT
dnf-2.3.0-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-80f2c2bb64
Comment 7 Fedora Update System 2017-04-10 20:25:49 EDT
dnf-2.3.0-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-80f2c2bb64
Comment 8 Fedora Update System 2017-04-12 10:53:10 EDT
dnf-2.3.0-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.